package p10_klasy.v3;

class Sklep {
	String nazwa;
	int cenaPiwa;
	int utarg = 0;
	
	Sklep(String nazwa, int cenaPiwa) {
		this.nazwa = nazwa;
		this.cenaPiwa = cenaPiwa;
	}

	void sprzedajPiwo(Osoba klient, int ileSztuk) {
		System.out.println("----------------");
		System.out.println("Witamy w sklepie " + nazwa);
		System.out.println("Kliencie, przedstaw się.");
		// obiekt sklep wywołuje na obiekcie klient metodę
		klient.przedstawSie();
		
		if(klient.jestPelnoletnia()) {
			int doZaplaty = cenaPiwa * ileSztuk;
			System.out.println(klient.imie + ", możesz kupić piwo, za " + ileSztuk + " szt płacisz " + doZaplaty + ".");
			utarg += doZaplaty;
		} else {
			System.out.println(klient.imie + ", nie możesz kupić piwa, bo masz tylko " + klient.wiek + " lat.");
		}
		System.out.println("^^^^^^^^^^^^^^^^");
	}

}
